
/*
	Escribir un encabezado es parecido a lo que ocurre al leer.

	en ste ejercicio se usa un archivo de entrada para escribir el encabezado
	de una archivo nuevo, ste ltimo puede existir como no, en todo caso se crea.
*/



#include "sndlib/io.h"
#include "sndlib/headers.h"
#include "sndlib/sound.h"

#include "funcs/es_funcs.h"

int main(int argc, char *argv[])
{
	DAUDIO *dau = NULL, *dsal = NULL;   /* creamos dos objetos para guardar datos de los audios */

		/* ahora chequeo que los argumentos sean los correctos */
	if(ChequearEntrada(argc, 3, "Lnea de comando: falta nombre de archivo", "sndescrenc") == -1)
		{
    getchar();
    return -1;
		}

  mus_sound_initialize();	  /* inicializo sndlib */

	/* abro el audio de entrada que automticamente imprime sus datos en pantalla,
	   tambon me fijo que el archivo se pueda abrir, de otro modo salgo con error */
	dau = AbrirAudioEntrada(argv[1], "\nAUDIO");
	if(dau == NULL)
    return -1;
	dsal = AbrirAudioSalida(argv[2], dau, "\nAUDIO");
	if(dsal == NULL)
    return -1;

  free(dau);
  free(dsal);
  return 0;
}

